Page MenuHomePhabricator

[asan] Add gcc 8's driver option -fsanitize=pointer-compare and -fsanitize=pointer-substract.
ClosedPublic

Authored by pgousseau on Mar 11 2019, 10:13 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

pgousseau created this revision.Mar 11 2019, 10:13 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 11 2019, 10:13 AM
ormris added a subscriber: ormris.Mar 12 2019, 9:59 AM
pgousseau updated this revision to Diff 192447.Mar 27 2019, 8:14 AM

Update patch to reflect changes to the llvm side of the patch.

riccibruno resigned from this revision.Apr 11 2019, 1:41 PM

I am not the best person to review this, sorry!

thakis accepted this revision.Apr 11 2019, 1:48 PM
thakis added a subscriber: thakis.

Seems like harmless plumbing. Given that the LLVM side of this is accepted, this lgtm.

test/Driver/fsanitize.c
837 ↗(On Diff #192447)

Should some of these be {{[^"}*}} instead of {{.*}} so that the match isn't accidentally across different flags?

This revision is now accepted and ready to land.Apr 11 2019, 1:48 PM
pgousseau marked an inline comment as done.Apr 12 2019, 7:11 AM
pgousseau added inline comments.
test/Driver/fsanitize.c
837 ↗(On Diff #192447)

Yes I should add one for the first check. Will add it thanks!

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 12 2019, 7:13 AM